Page MenuHomePhabricator

installing pywikibot with pip fails because the package isn't a git repository; setup.py is unable to find the version of pywikibot
Closed, InvalidPublic

Description

pip3 install -v --no-cache-dir pywikibot

Collecting pywikibot
  1 location(s) to search for versions of pywikibot:
  * https://pypi.python.org/simple/pywikibot/
  Getting page https://pypi.python.org/simple/pywikibot/
  Starting new HTTPS connection (1): pypi.python.org
  "GET /simple/pywikibot/ HTTP/1.1" 200 901
  Analyzing links from page https://pypi.python.org/simple/pywikibot/
    Skipping link https://pypi.python.org/packages/05/2f/b1edbb7c01e0c6bb196674fb9c7980736bdfcb3f6a5d94e94d7f0a89f238/pywikibot-2.0rc5-py2-none-any.whl#md5=e04dc30c17a38b1bd26c071be575c64e (from https://pypi.python.org/simple/pywikibot/); it is not compatible with this Python
    Found link https://pypi.python.org/packages/4a/33/132823fb21c2b31719e0659a938a58622e2d296a514f4f48b3b30d3090cd/pywikibot-2.0rc5.tar.gz#md5=e45bbc2cd83650d0d8ab6f45c924eadc (from https://pypi.python.org/simple/pywikibot/), version: 2.0rc5
    Found link https://pypi.python.org/packages/66/53/db773f58a8def909c874f533f5e36543815ccaf2fbd965a28740a1670081/pywikibot-2.0rc3.tar.gz#md5=0d8b9e1577463e8bda92db2916876749 (from https://pypi.python.org/simple/pywikibot/), version: 2.0rc3
    Found link https://pypi.python.org/packages/69/b9/1cebc3ef65ce9f0f67a7167aaf6ee1d1e53294cf75f9af6eb040bf5a76b9/pywikibot-2.0rc5-py3-none-any.whl#md5=f28424137b6a5b8225d6f1cd5a2da104 (from https://pypi.python.org/simple/pywikibot/), version: 2.0rc5
    Found link https://pypi.python.org/packages/71/ed/60b1dc2f6f5b5490f78d34b8ffb08e7d24baf376d5a476aed9bedfb8a3e4/pywikibot-2.0rc4.tar.gz#md5=75af0270f870496e8abe59042817e772 (from https://pypi.python.org/simple/pywikibot/), version: 2.0rc4
    Found link https://pypi.python.org/packages/72/2e/1402246bff0cf2ed459e5055b2a68b4c8e906aa3e8b527de91f8835a4283/pywikibot-3.0.20170713.tar.gz#md5=17a731c978f20677a288e3b1317297e1 (from https://pypi.python.org/simple/pywikibot/), version: 3.0.20170713
    Found link https://pypi.python.org/packages/7a/28/a5d351a52c6f1b279c9eb1060c1e27d3fd4810675a07e5a8e8fe9631449a/pywikibot-2.0rc1.post2.tar.gz#md5=80d1d825859db31348c710ce7618ebeb (from https://pypi.python.org/simple/pywikibot/), version: 2.0rc1.post2
    Found link https://pypi.python.org/packages/91/c8/dcc7583a968faa8e239bce285151d55c08bbbea1e20f1694252f4b72e592/pywikibot-3.0.20170521.tar.gz#md5=8a306a1479eaa9857f63eafe57f0bb3c (from https://pypi.python.org/simple/pywikibot/), version: 3.0.20170521
    Found link https://pypi.python.org/packages/98/3d/56ed2db3e553d27f60d7a89e5fab043c60a942d36c1a73b514c5a714e20d/pywikibot-3.0.20170403.tar.gz#md5=277a46272d6e9663dead9674fdef6c62 (from https://pypi.python.org/simple/pywikibot/), version: 3.0.20170403
    Found link https://pypi.python.org/packages/ca/59/565c2409c55f1ff26ab7956cfc7ea9c2f270da552ed923f1b7cc3d901aa9/pywikibot-2.0rc1.post1.tar.gz#md5=eaf1d5ff10d2ebd906eb44baed8a5923 (from https://pypi.python.org/simple/pywikibot/), version: 2.0rc1.post1
  Using version 3.0.20170713 (newest of versions: 3.0.20170403, 3.0.20170521, 3.0.20170713)
  "GET /packages/72/2e/1402246bff0cf2ed459e5055b2a68b4c8e906aa3e8b527de91f8835a4283/pywikibot-3.0.20170713.tar.gz HTTP/1.1" 200 480839
  Downloading pywikibot-3.0.20170713.tar.gz (480kB)
  Downloading from URL https://pypi.python.org/packages/72/2e/1402246bff0cf2ed459e5055b2a68b4c8e906aa3e8b527de91f8835a4283/pywikibot-3.0.20170713.tar.gz#md5=17a731c978f20677a288e3b1317297e1 (from https://pypi.python.org/simple/pywikibot/)
    100% |████████████████████████████████| 481kB 3.3MB/s 
  Running setup.py (path:/tmp/pip-build-i9tbatjg/pywikibot/setup.py) egg_info for package pywikibot
    Running command python setup.py egg_info
    fatal: Not a git repository (or any of the parent directories): .git
    Command '['git', 'log', '-1', '--format=%ci']' returned non-zero exit status 128
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-i9tbatjg/pywikibot/setup.py", line 198, in <module>
        date = subprocess.check_output(['git', 'log', '-1', '--format=%ci']).strip()
      File "/usr/lib/python3.5/subprocess.py", line 626, in check_output
        **kwargs).stdout
      File "/usr/lib/python3.5/subprocess.py", line 708, in run
        output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command '['git', 'log', '-1', '--format=%ci']' returned non-zero exit status 128
Cleaning up...
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-i9tbatjg/pywikibot/
Exception information:
Traceback (most recent call last):
  File "/home/mateusz/.local/lib/python3.5/site-packages/pip/basecommand.py", line 215, in main
    status = self.run(options, args)
  File "/home/mateusz/.local/lib/python3.5/site-packages/pip/commands/install.py", line 324, in run
    requirement_set.prepare_files(finder)
  File "/home/mateusz/.local/lib/python3.5/site-packages/pip/req/req_set.py", line 380, in prepare_files
    ignore_dependencies=self.ignore_dependencies))
  File "/home/mateusz/.local/lib/python3.5/site-packages/pip/req/req_set.py", line 634, in _prepare_file
    abstract_dist.prep_for_dist()
  File "/home/mateusz/.local/lib/python3.5/site-packages/pip/req/req_set.py", line 129, in prep_for_dist
    self.req_to_install.run_egg_info()
  File "/home/mateusz/.local/lib/python3.5/site-packages/pip/req/req_install.py", line 439, in run_egg_info
    command_desc='python setup.py egg_info')
  File "/home/mateusz/.local/lib/python3.5/site-packages/pip/utils/__init__.py", line 707, in call_subprocess
    % (command_desc, proc.returncode, cwd))
pip.exceptions.InstallationError: Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-i9tbatjg/pywikibot/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2017, 7:15 PM
Mateusz_Konieczny added a comment.EditedJul 27 2017, 7:17 PM

pip3 --version
pip 9.0.1 from /home/mateusz/.local/lib/python3.5/site-packages (python 3.5)

python3 --version
Python 3.5.2

uname -a
Linux grisznak 4.10.0-27-generic #30~16.04.2-Ubuntu SMP Thu Jun 29 16:07:46 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

git --version
git version 2.13.0

Framawiki renamed this task from installing pywikibot with pip fails to installing pywikibot with pip fails, call_subprocess error for "python setup.py egg_info".Jul 27 2017, 10:55 PM
Framawiki added a project: Pywikibot.
Framawiki updated the task description. (Show Details)
Restricted Application added a subscriber: pywikibot-bugs-list. · View Herald TranscriptJul 27 2017, 10:55 PM
zhuyifei1999 renamed this task from installing pywikibot with pip fails, call_subprocess error for "python setup.py egg_info" to installing pywikibot with pip fails because the package isn't a git repository; setup.py is unable to find the version of pywikibot.Jul 28 2017, 5:53 PM
zhuyifei1999 added a subscriber: zhuyifei1999.
zhuyifei1999 added a comment.EditedJul 28 2017, 6:05 PM

Master do not reraise the error from subprocess, and I do not find that changed ever since the block was added in c67e069.

zhuyifei1999 triaged this task as High priority.Jul 28 2017, 6:11 PM

Reproducible locally. Pywikibot latest pypi release cannot be installed.

The last upload contained some local changes that caused this exception to bubble up (rather than being ignored). I've uploaded a new version, and everything should be OK again :-)

valhallasw closed this task as Resolved.Aug 1 2017, 7:12 PM
valhallasw claimed this task.

Seems to happen again e.g. pip3 install --no-cache-dir -I pywikibot==3.0.20200508

Collecting pywikibot==3.0.20200508
  Downloading https://files.pythonhosted.org/packages/42/3d/ecfce167ec6b29726d043ec324daf29e48b094c37319a7b193bbd9e40610/pywikibot-3.0.20200508.tar.gz (516kB)
    100% |████████████████████████████████| 522kB 17.2MB/s 
    Complete output from command python setup.py egg_info:
    fatal: not a git repository (or any of the parent directories): .git
    Command '['git', 'log', '-1', '--format=%ci']' returned non-zero exit status 128.
Seppl2013 reopened this task as Open.Jul 4 2020, 5:23 PM
Xqt added a subscriber: Dvorapa.Jul 4 2020, 7:29 PM
Xqt added a subscriber: Xqt.Jul 4 2020, 7:35 PM

@Seppl2013: Do you have an additional traceback? Can't you use a more recent version like 3.0.20200703?

Seppl2013 added a comment.EditedJul 5 2020, 12:07 PM

It was a bit frustrating.

# https://pypi.org/project/pywikibot/
pywikibot==3.0.20200306

in requirements.txt works all more recent versions of https://pypi.org/project/pywikibot/ fail on Ubuntu 18.04 LTS with python 3.6 and 3.7.5. I tried lots of configurations and the error message showed up very often. It would be great if youd install a continuous integration e.g. with travis testing different dist and python combinations so that downstream projects do not choke up on this problem.

At this point the badge shows "build failing" - how come there is still a release active?

I cannot reproduce this problem. Installing 3.0.20200508 works for me:

C:\pwb\GIT\core>pip3 install --no-cache-dir -I pywikibot==3.0.20200508
Collecting pywikibot==3.0.20200508
  Downloading pywikibot-3.0.20200508.tar.gz (516 kB)
     |████████████████████████████████| 516 kB 1.6 MB/s
Collecting requests>=2.20.1
  Downloading requests-2.24.0-py2.py3-none-any.whl (61 kB)
     |████████████████████████████████| 61 kB ...
Collecting idna<3,>=2.5
  Downloading idna-2.10-py2.py3-none-any.whl (58 kB)
     |████████████████████████████████| 58 kB ...
Collecting certifi>=2017.4.17
  Downloading certifi-2020.6.20-py2.py3-none-any.whl (156 kB)
     |████████████████████████████████| 156 kB 1.3 MB/s
Collecting urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  Downloading urllib3-1.25.9-py2.py3-none-any.whl (126 kB)
     |████████████████████████████████| 126 kB 3.3 MB/s
Collecting chardet<4,>=3.0.2
  Downloading chardet-3.0.4-py2.py3-none-any.whl (133 kB)
     |████████████████████████████████| 133 kB 6.8 MB/s
Using legacy setup.py install for pywikibot, since package 'wheel' is not installed.
Installing collected packages: idna, certifi, urllib3, chardet, requests, pywikibot
    Running setup.py install for pywikibot ... done
Successfully installed certifi-2020.6.20 chardet-3.0.4 idna-2.10 pywikibot-3.0.20200508 requests-2.24.0 urllib3-1.25.9

Pywikibot is tested at Travis and Appveyor for different combinations and no Installation is brocken for Python 2.7 and 3.5-3.8:

At this point the badge shows "build failing" - how come there is still a release active?

Tests of master is shown with badges. This will deployed in August. The current stable release is 3.0.20200703.

Xqt added a comment.EditedJul 5 2020, 1:16 PM

I installed pywikibot with -v verbose and got the same fatal error but pywikibot was installed anyway:

C:\pwb\GIT\core>pip3 install -v --no-cache-dir -I pywikibot==3.0.20200508
Non-user install because site-packages writeable
Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-ephem-wheel-cache-bwrg1lw0
Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-req-tracker-_epc72mh
Initialized build tracking at C:\Users\Redacted\AppData\Local\Temp\pip-req-tracker-_epc72mh
Created build tracker: C:\Users\Redacted\AppData\Local\Temp\pip-req-tracker-_epc72mh
Entered build tracker: C:\Users\Redacted\AppData\Local\Temp\pip-req-tracker-_epc72mh
Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-install-549hvaxm
1 location(s) to search for versions of pywikibot:
* https://pypi.org/simple/pywikibot/
Fetching project page and analyzing links: https://pypi.org/simple/pywikibot/
Getting page https://pypi.org/simple/pywikibot/
Found index url https://pypi.org/simple
Getting credentials from keyring for https://pypi.org/simple
Getting credentials from keyring for pypi.org
Starting new HTTPS connection (1): pypi.org:443
https://pypi.org:443 "GET /simple/pywikibot/ HTTP/1.1" 200 3494
  Found link https://files.pythonhosted.org/packages/ca/59/565c2409c55f1ff26ab7956cfc7ea9c2f270da552ed923f1b7cc3d901aa9/pywikibot-2.0rc1.post1.tar.gz#sha256=63c96acceea743a2652d1792b9168633985a37849a9a24cca57f6fa27c69d900 (from https://pypi.org/simple/pywikibot/), version: 2.0rc1.post1
...
  Found link https://files.pythonhosted.org/packages/71/ed/60b1dc2f6f5b5490f78d34b8ffb08e7d24baf376d5a476aed9bedfb8a3e4/pywikibot-2.0rc4.tar.gz#sha256=eeb207cb97bb24cffe0d6bb4eb1cee4a9eec6201e30604dd7ae1d81a819736ce (from https://pypi.org/simple/pywikibot/), version: 2.0rc4
  Skipping link: none of the wheel's tags match: py2-none-any: https://files.pythonhosted.org/packages/05/2f/b1edbb7c01e0c6bb196674fb9c7980736bdfcb3f6a5d94e94d7f0a89f238/pywikibot-2.0rc5-py2-none-any.whl#sha256=e02716d47cedac00361fec58a6ba4e7ad048de8bdb988a4a27cbc5d34dec1a2e (from https://pypi.org/simple/pywikibot/)
...
  Found link https://files.pythonhosted.org/packages/34/5d/9e1e2f0c2ba50c18b0de6118b32699d0731c8bf04b10c7a9c6c4f015b725/pywikibot-3.0.20200405.tar.gz#sha256=f83e7021b053dd63f4b4781101e75ce46aa37f1cd59e5f939d3cb0a4768d0c19 (from https://pypi.org/simple/pywikibot/) (requires-python:>=2.7.4, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*), version: 3.0.20200405
  Found link https://files.pythonhosted.org/packages/42/3d/ecfce167ec6b29726d043ec324daf29e48b094c37319a7b193bbd9e40610/pywikibot-3.0.20200508.tar.gz#sha256=c61095a8d56c02ebc73f5c23f7e75248f11e0272d88cbe6b5d258b0438cbb0b6 (from https://pypi.org/simple/pywikibot/) (requires-python:>=2.7.4, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*), version: 3.0.20200508
  Found link https://files.pythonhosted.org/packages/d7/0a/e1ace600bca9908d01a7e3ddc6182f134bf62e9923254665628080bb3ce1/pywikibot-3.0.20200609.tar.gz#sha256=24b918d2df9ba16b8506e77dfb8a4f78446b1052f38e232d4f6fa20141b44d8d (from https://pypi.org/simple/pywikibot/) (requires-python:>=2.7.4, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*), version: 3.0.20200609
  Found link https://files.pythonhosted.org/packages/b6/11/fe48ba059b7403b343460c032fbc726b300679f9955502d5c0a8417169fe/pywikibot-3.0.20200703.tar.gz#sha256=af7dc748b8b1d73e00f27058820df888bc40542d1a44809ef1a43d4747676e47 (from https://pypi.org/simple/pywikibot/) (requires-python:>=2.7.4, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*), version: 3.0.20200703
Given no hashes to check 1 links for project 'pywikibot': discarding no candidates
Using version 3.0.20200508 (newest of versions: 3.0.20200508)
Collecting pywikibot==3.0.20200508
  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-unpack-n74q4whb
  Getting credentials from keyring for files.pythonhosted.org
  Starting new HTTPS connection (1): files.pythonhosted.org:443
  https://files.pythonhosted.org:443 "GET /packages/42/3d/ecfce167ec6b29726d043ec324daf29e48b094c37319a7b193bbd9e40610/pywikibot-3.0.20200508.tar.gz HTTP/1.1" 200 516005
  Downloading pywikibot-3.0.20200508.tar.gz (516 kB)
     |████████████████████████████████| 516 kB 1.6 MB/s
  Added pywikibot==3.0.20200508 from https://files.pythonhosted.org/packages/42/3d/ecfce167ec6b29726d043ec324daf29e48b094c37319a7b193bbd9e40610/pywikibot-3.0.20200508.tar.gz#sha256=c61095a8d56c02ebc73f5c23f7e75248f11e0272d88cbe6b5d258b0438cbb0b6 to build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
    Running setup.py (path:C:\Users\Redacted\AppData\Local\Temp\pip-install-549hvaxm\pywikibot\setup.py) egg_info for package pywikibot
    Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-pip-egg-info-8npntarr
    Running command python setup.py egg_info
    fatal: not a git repository (or any of the parent directories): .git
    Command '['git', 'log', '-1', '--format=%ci']' returned non-zero exit status 128.
    Cannot include pywikibot\DIRECTORIES.rst; file not found
    Cannot include ROADMAP.rst; file not found
    Cannot include CODE_OF_CONDUCT.rst; file not found
    running egg_info
    creating C:\Users\Redacted\AppData\Local\Temp\pip-pip-egg-info-8npntarr\pywikibot.egg-info
    writing C:\Users\Redacted\AppData\Local\Temp\pip-pip-egg-info-8npntarr\pywikibot.egg-info\PKG-INFO
    writing dependency_links to C:\Users\Redacted\AppData\Local\Temp\pip-pip-egg-info-8npntarr\pywikibot.egg-info\dependency_links.txt
    writing requirements to C:\Users\Redacted\AppData\Local\Temp\pip-pip-egg-info-8npntarr\pywikibot.egg-info\requires.txt
    writing top-level names to C:\Users\Redacted\AppData\Local\Temp\pip-pip-egg-info-8npntarr\pywikibot.egg-info\top_level.txt
    writing manifest file 'C:\Users\Redacted\AppData\Local\Temp\pip-pip-egg-info-8npntarr\pywikibot.egg-info\SOURCES.txt'
    reading manifest file 'C:\Users\Redacted\AppData\Local\Temp\pip-pip-egg-info-8npntarr\pywikibot.egg-info\SOURCES.txt'
    writing manifest file 'C:\Users\Redacted\AppData\Local\Temp\pip-pip-egg-info-8npntarr\pywikibot.egg-info\SOURCES.txt'
  Source in c:\users\Redacted\appdata\local\temp\pip-install-549hvaxm\pywikibot has version 3.0.20200508, which satisfies requirement pywikibot==3.0.20200508 from https://files.pythonhosted.org/packages/42/3d/ecfce167ec6b29726d043ec324daf29e48b094c37319a7b193bbd9e40610/pywikibot-3.0.20200508.tar.gz#sha256=c61095a8d56c02ebc73f5c23f7e75248f11e0272d88cbe6b5d258b0438cbb0b6
  Removed pywikibot==3.0.20200508 from https://files.pythonhosted.org/packages/42/3d/ecfce167ec6b29726d043ec324daf29e48b094c37319a7b193bbd9e40610/pywikibot-3.0.20200508.tar.gz#sha256=c61095a8d56c02ebc73f5c23f7e75248f11e0272d88cbe6b5d258b0438cbb0b6 from build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
1 location(s) to search for versions of requests:
* https://pypi.org/simple/requests/
Fetching project page and analyzing links: https://pypi.org/simple/requests/
Getting page https://pypi.org/simple/requests/
Found index url https://pypi.org/simple
Getting credentials from keyring for https://pypi.org/simple
Getting credentials from keyring for pypi.org
https://pypi.org:443 "GET /simple/requests/ HTTP/1.1" 200 17947
  Found link https://files.pythonhosted.org/packages/ba/bb/dfa0141a32d773c47e4dede1a617c59a23b74dd302e449cf85413fc96bc4/requests-0.2.0.tar.gz#sha256=813202ace4d9301a3c00740c700e012fb9f3f8c73ddcfe02ab558a8df6f175fd (from https://pypi.org/simple/requests/), version: 0.2.0
...
  Found link https://files.pythonhosted.org/packages/01/62/ddcf76d1d19885e8579acb1b1df26a852b03472c0e46d2b959a714c90608/requests-2.22.0.tar.gz#sha256=11e007a8a2aa0323f5a921e9e6a2d7e4e67d9877e85773fba9ba6419025cbeb4 (from https://pypi.org/simple/requests/) (requires-python:>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*), version: 2.22.0
  Skipping link: unsupported archive format: .egg: https://files.pythonhosted.org/packages/19/0a/6efa24d3589a8595a7293bd9716bbd4608fcc668a27aa83fff9043c515f7/requests-2.23.0-py2.7.egg#sha256=5d2d0ffbb515f39417009a46c14256291061ac01ba8f875b90cad137de83beb4 (from https://pypi.org/simple/requests/) (requires-python:>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*)
  Found link https://files.pythonhosted.org/packages/1a/70/1935c770cb3be6e3a8b78ced23d7e0f3b187f5cbfab4749523ed65d7c9b1/requests-2.23.0-py2.py3-none-any.whl#sha256=43999036bfa82904b6af1d99e4882b560e5e2c68e5c4b0aa03b655f3d7d73fee (from https://pypi.org/simple/requests/) (requires-python:>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*), version: 2.23.0
  Found link https://files.pythonhosted.org/packages/f5/4f/280162d4bd4d8aad241a21aecff7a6e46891b905a4341e7ab549ebaf7915/requests-2.23.0.tar.gz#sha256=b3f43d496c6daba4493e7c431722aeb7dbc6288f52a6e04e7b6023b0247817e6 (from https://pypi.org/simple/requests/) (requires-python:>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*), version: 2.23.0
  Found link https://files.pythonhosted.org/packages/45/1e/0c169c6a5381e241ba7404532c16a21d86ab872c9bed8bdcd4c423954103/requests-2.24.0-py2.py3-none-any.whl#sha256=fe75cc94a9443b9246fc7049224f75604b113c36acb93f87b80ed42c44cbb898 (from https://pypi.org/simple/requests/) (requires-python:>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*), version: 2.24.0
  Found link https://files.pythonhosted.org/packages/da/67/672b422d9daf07365259958912ba533a0ecab839d4084c487a5fe9a5405f/requests-2.24.0.tar.gz#sha256=b3559a131db72c33ee969480840fff4bb6dd111de7dd27c8ee1f820f4f00231b (from https://pypi.org/simple/requests/) (requires-python:>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*), version: 2.24.0
Given no hashes to check 10 links for project 'requests': discarding no candidates
Using version 2.24.0 (newest of versions: 2.20.1, 2.21.0, 2.22.0, 2.23.0, 2.24.0)
Collecting requests>=2.20.1
  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-unpack-_1jul8q5
  Getting credentials from keyring for files.pythonhosted.org
  https://files.pythonhosted.org:443 "GET /packages/45/1e/0c169c6a5381e241ba7404532c16a21d86ab872c9bed8bdcd4c423954103/requests-2.24.0-py2.py3-none-any.whl HTTP/1.1" 200 61826
  Downloading requests-2.24.0-py2.py3-none-any.whl (61 kB)
     |████████████████████████████████| 61 kB 4.5 MB/s
  Added requests>=2.20.1 from https://files.pythonhosted.org/packages/45/1e/0c169c6a5381e241ba7404532c16a21d86ab872c9bed8bdcd4c423954103/requests-2.24.0-py2.py3-none-any.whl#sha256=fe75cc94a9443b9246fc7049224f75604b113c36acb93f87b80ed42c44cbb898 (from pywikibot==3.0.20200508) to build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
  Removed requests>=2.20.1 from https://files.pythonhosted.org/packages/45/1e/0c169c6a5381e241ba7404532c16a21d86ab872c9bed8bdcd4c423954103/requests-2.24.0-py2.py3-none-any.whl#sha256=fe75cc94a9443b9246fc7049224f75604b113c36acb93f87b80ed42c44cbb898 (from pywikibot==3.0.20200508) from build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
1 location(s) to search for versions of idna:
* https://pypi.org/simple/idna/
Fetching project page and analyzing links: https://pypi.org/simple/idna/
Getting page https://pypi.org/simple/idna/
Found index url https://pypi.org/simple
Getting credentials from keyring for https://pypi.org/simple
Getting credentials from keyring for pypi.org
https://pypi.org:443 "GET /simple/idna/ HTTP/1.1" 200 3222
  Found link https://files.pythonhosted.org/packages/22/35/04dedec60e9366ba19ac7c147cd715c88a7e87d43cda47a75802190c0950/idna-0.2.tar.gz#sha256=e28fdff4b1d47edd13e053399f642818d2f591cb9c215eb626bde6b14d6f4575 (from https://pypi.org/simple/idna/), version: 0.2
...
  Found link https://files.pythonhosted.org/packages/ea/b7/e0e3c1c467636186c39925827be42f16fee389dc404ac29e930e9136be70/idna-2.10.tar.gz#sha256=b307872f855b18632ce0c21c5e45be78c0ea7ae4c15c828c20788b26921eb3f6 (from https://pypi.org/simple/idna/) (requires-python:>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*), version: 2.10
Given no hashes to check 12 links for project 'idna': discarding no candidates
Using version 2.10 (newest of versions: 2.5, 2.6, 2.7, 2.8, 2.9, 2.10)
Collecting idna<3,>=2.5
  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-unpack-1asxu324
  Getting credentials from keyring for files.pythonhosted.org
  https://files.pythonhosted.org:443 "GET /packages/a2/38/928ddce2273eaa564f6f50de919327bf3a00f091b5baba8dfa9460f3a8a8/idna-2.10-py2.py3-none-any.whl HTTP/1.1" 200 58811
  Downloading idna-2.10-py2.py3-none-any.whl (58 kB)
     |████████████████████████████████| 58 kB 3.8 MB/s
  Added idna<3,>=2.5 from https://files.pythonhosted.org/packages/a2/38/928ddce2273eaa564f6f50de919327bf3a00f091b5baba8dfa9460f3a8a8/idna-2.10-py2.py3-none-any.whl#sha256=b97d804b1e9b523befed77c48dacec60e6dcb0b5391d57af6a65a312a90648c0 (from requests>=2.20.1->pywikibot==3.0.20200508) to build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
  Removed idna<3,>=2.5 from https://files.pythonhosted.org/packages/a2/38/928ddce2273eaa564f6f50de919327bf3a00f091b5baba8dfa9460f3a8a8/idna-2.10-py2.py3-none-any.whl#sha256=b97d804b1e9b523befed77c48dacec60e6dcb0b5391d57af6a65a312a90648c0 (from requests>=2.20.1->pywikibot==3.0.20200508) from build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
1 location(s) to search for versions of urllib3:
* https://pypi.org/simple/urllib3/
Fetching project page and analyzing links: https://pypi.org/simple/urllib3/
Getting page https://pypi.org/simple/urllib3/
Found index url https://pypi.org/simple
Getting credentials from keyring for https://pypi.org/simple
Getting credentials from keyring for pypi.org
https://pypi.org:443 "GET /simple/urllib3/ HTTP/1.1" 200 8688
  Found link https://files.pythonhosted.org/packages/9c/ed/c5fd0a26ba4c013a9320149edad93cf3440c6148fa6cc541d9b624ee398e/urllib3-0.3.tar.gz#sha256=b9b944d1f1ffb580488c1adee8683c6b887ee1a1912b43ba19de4039d17510d5 (from https://pypi.org/simple/urllib3/), version: 0.3
...
  Found link https://files.pythonhosted.org/packages/05/8c/40cd6949373e23081b3ea20d5594ae523e681b6f472e600fbc95ed046a36/urllib3-1.25.9.tar.gz#sha256=3018294ebefce6572a474f0604c2021e33b3fd8006ecd11d62107a5d2a963527 (from https://pypi.org/simple/urllib3/) (requires-python:>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*, <4), version: 1.25.9
Given no hashes to check 30 links for project 'urllib3': discarding no candidates
Using version 1.25.9 (newest of versions: 1.21.1, 1.22, 1.23, 1.24, 1.24.1, 1.24.2, 1.24.3, 1.25.2, 1.25.3, 1.25.4, 1.25.5, 1.25.6, 1.25.7, 1.25.8, 1.25.9)
Collecting urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1
  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-unpack-u_tbtyu1
  Getting credentials from keyring for files.pythonhosted.org
  https://files.pythonhosted.org:443 "GET /packages/e1/e5/df302e8017440f111c11cc41a6b432838672f5a70aa29227bf58149dc72f/urllib3-1.25.9-py2.py3-none-any.whl HTTP/1.1" 200 126746
  Downloading urllib3-1.25.9-py2.py3-none-any.whl (126 kB)
     |████████████████████████████████| 126 kB 6.8 MB/s
  Added urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 from https://files.pythonhosted.org/packages/e1/e5/df302e8017440f111c11cc41a6b432838672f5a70aa29227bf58149dc72f/urllib3-1.25.9-py2.py3-none-any.whl#sha256=88206b0eb87e6d677d424843ac5209e3fb9d0190d0ee169599165ec25e9d9115 (from requests>=2.20.1->pywikibot==3.0.20200508) to build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
  Removed urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 from https://files.pythonhosted.org/packages/e1/e5/df302e8017440f111c11cc41a6b432838672f5a70aa29227bf58149dc72f/urllib3-1.25.9-py2.py3-none-any.whl#sha256=88206b0eb87e6d677d424843ac5209e3fb9d0190d0ee169599165ec25e9d9115 (from requests>=2.20.1->pywikibot==3.0.20200508) from build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
1 location(s) to search for versions of certifi:
* https://pypi.org/simple/certifi/
Fetching project page and analyzing links: https://pypi.org/simple/certifi/
Getting page https://pypi.org/simple/certifi/
Found index url https://pypi.org/simple
Getting credentials from keyring for https://pypi.org/simple
Getting credentials from keyring for pypi.org
https://pypi.org:443 "GET /simple/certifi/ HTTP/1.1" 200 6750
  Found link https://files.pythonhosted.org/packages/55/bf/e1094f052b5932a452b12ac5a6c229f3d7dbf41a66cfc8d5832fe3fb6463/certifi-0.0.1.tar.gz#sha256=a6f0d79b2b63a43c71bc128929be3a17bdf5d0a5f74208d7ad9563b3bf8210e9 (from https://pypi.org/simple/certifi/), version: 0.0.1
...
  Found link https://files.pythonhosted.org/packages/40/a7/ded59fa294b85ca206082306bba75469a38ea1c7d44ea7e1d64f5443d67a/certifi-2020.6.20.tar.gz#sha256=5930595817496dd21bb8dc35dad090f1c2cd0adfaf21204bf6732ca5d8ee34d3 (from https://pypi.org/simple/certifi/), version: 2020.6.20
Given no hashes to check 36 links for project 'certifi': discarding no candidates
Using version 2020.6.20 (newest of versions: 2017.4.17, 2017.7.27, 2017.7.27.1, 2017.11.5, 2018.1.18, 2018.4.16, 2018.8.13, 2018.8.24, 2018.10.15, 2018.11.29, 2019.3.9, 2019.6.16, 2019.9.11, 2019.11.28, 2020.4.5, 2020.4.5.1, 2020.4.5.2, 2020.6.20)
Collecting certifi>=2017.4.17
  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-unpack-umbeesg0
  Getting credentials from keyring for files.pythonhosted.org
  https://files.pythonhosted.org:443 "GET /packages/5e/c4/6c4fe722df5343c33226f0b4e0bb042e4dc13483228b4718baf286f86d87/certifi-2020.6.20-py2.py3-none-any.whl HTTP/1.1" 200 156576
  Downloading certifi-2020.6.20-py2.py3-none-any.whl (156 kB)
     |████████████████████████████████| 156 kB 6.8 MB/s
  Added certifi>=2017.4.17 from https://files.pythonhosted.org/packages/5e/c4/6c4fe722df5343c33226f0b4e0bb042e4dc13483228b4718baf286f86d87/certifi-2020.6.20-py2.py3-none-any.whl#sha256=8fc0819f1f30ba15bdb34cceffb9ef04d99f420f68eb75d901e9560b8749fc41 (from requests>=2.20.1->pywikibot==3.0.20200508) to build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
  Removed certifi>=2017.4.17 from https://files.pythonhosted.org/packages/5e/c4/6c4fe722df5343c33226f0b4e0bb042e4dc13483228b4718baf286f86d87/certifi-2020.6.20-py2.py3-none-any.whl#sha256=8fc0819f1f30ba15bdb34cceffb9ef04d99f420f68eb75d901e9560b8749fc41 (from requests>=2.20.1->pywikibot==3.0.20200508) from build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
1 location(s) to search for versions of chardet:
* https://pypi.org/simple/chardet/
Fetching project page and analyzing links: https://pypi.org/simple/chardet/
Getting page https://pypi.org/simple/chardet/
Found index url https://pypi.org/simple
Getting credentials from keyring for https://pypi.org/simple
Getting credentials from keyring for pypi.org
https://pypi.org:443 "GET /simple/chardet/ HTTP/1.1" 200 2028
  Found link https://files.pythonhosted.org/packages/13/29/9336841b1a5d9de9de808e1797ab04057bc17982bbab87dd14fc06aa4160/chardet-1.0.tar.gz#sha256=f3a80cfd53a9a9e8311e996062bb7ed0c0551367545548460d5a2c3b4717c797 (from https://pypi.org/simple/chardet/), version: 1.0
  Skipping link: unsupported archive format: .egg: https://files.pythonhosted.org/packages/ec/32/19eab081980cc61aa8d49c44930cf897c1dbce6888579743aed12140810a/chardet-1.0.1-py2.4.egg#sha256=58ba4a382c9c7e1f6619ed4f3a273fb4044de4352342f473539d20ca4346113a (from https://pypi.org/simple/chardet/)
  Skipping link: unsupported archive format: .egg: https://files.pythonhosted.org/packages/d4/bc/c1b877d19bc02610873a21cc3978260008c2839acac36772dd29c1f78316/chardet-1.0.1-py2.5.egg#sha256=5c303c3549070d5cd5101649d569ea00ccf5f763245f64f61015834c4acdbe61 (from https://pypi.org/simple/chardet/)
...  
  Found link https://files.pythonhosted.org/packages/fc/bb/a5768c230f9ddb03acc9ef3f0d4a3cf93462473795d18e9535498c8f929d/chardet-3.0.4.tar.gz#sha256=84ab92ed1c4d4f16916e05906b6b75a6c0fb5db821cc65e70cbd64a3e2a5eaae (from https://pypi.org/simple/chardet/), version: 3.0.4
Given no hashes to check 6 links for project 'chardet': discarding no candidates
Using version 3.0.4 (newest of versions: 3.0.2, 3.0.3, 3.0.4)
Collecting chardet<4,>=3.0.2
  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-unpack-y9utfqdw
  Getting credentials from keyring for files.pythonhosted.org
  https://files.pythonhosted.org:443 "GET /packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl HTTP/1.1" 200 133356
  Downloading chardet-3.0.4-py2.py3-none-any.whl (133 kB)
     |████████████████████████████████| 133 kB 6.4 MB/s
  Added chardet<4,>=3.0.2 from https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl#sha256=fc323ffcaeaed0e0a02bf4d117757b98aed530d9ed4531e3e15460124c106691 (from requests>=2.20.1->pywikibot==3.0.20200508) to build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
  Removed chardet<4,>=3.0.2 from https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl#sha256=fc323ffcaeaed0e0a02bf4d117757b98aed530d9ed4531e3e15460124c106691 (from requests>=2.20.1->pywikibot==3.0.20200508) from build tracker 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'
Using legacy setup.py install for pywikibot, since package 'wheel' is not installed.
Installing collected packages: idna, urllib3, certifi, chardet, requests, pywikibot
  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-unpacked-wheel-q91p863y

  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-unpacked-wheel-7i3tysc9

  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-unpacked-wheel-8fo3vblu

  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-unpacked-wheel-1c304564

  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-unpacked-wheel-ixqzmnic

  Created temporary directory: C:\Users\Redacted\AppData\Local\Temp\pip-record-ahow6y14
    Running command 'c:\python38\python.exe' -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-install-549hvaxm\\pywikibot\\setup.py'"'"'; __file__='"'"'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-install-549hvaxm\\pywikibot\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record 'C:\Users\Redacted\AppData\Local\Temp\pip-record-ahow6y14\install-record.txt' --single-version-externally-managed --compile --install-headers 'c:\python38\Include\pywikibot'
    fatal: not a git repository (or any of the parent directories): .git
    Command '['git', 'log', '-1', '--format=%ci']' returned non-zero exit status 128.
    Cannot include pywikibot\DIRECTORIES.rst; file not found
    Cannot include ROADMAP.rst; file not found
    Cannot include CODE_OF_CONDUCT.rst; file not found
    running install
    running build
    running build_py
    creating build
    creating build\lib
    creating build\lib\pywikibot
    copying pywikibot\bot.py -> build\lib\pywikibot
…
    copying pywikibot\families\__init__.py -> build\lib\pywikibot\families
    creating build\lib\pywikibot\page
    copying pywikibot\page\__init__.py -> build\lib\pywikibot\page
...
    copying build\lib\pywikibot\__init__.py -> c:\python38\Lib\site-packages\pywikibot
    byte-compiling c:\python38\Lib\site-packages\pywikibot\bot.py to bot.cpython-38.pyc
...
    byte-compiling c:\python38\Lib\site-packages\pywikibot\__init__.py to __init__.cpython-38.pyc
    running install_egg_info
    running egg_info
    writing pywikibot.egg-info\PKG-INFO
    writing dependency_links to pywikibot.egg-info\dependency_links.txt
    writing requirements to pywikibot.egg-info\requires.txt
    writing top-level names to pywikibot.egg-info\top_level.txt
    reading manifest file 'pywikibot.egg-info\SOURCES.txt'
    writing manifest file 'pywikibot.egg-info\SOURCES.txt'
    Copying pywikibot.egg-info to c:\python38\Lib\site-packages\pywikibot-3.0.20200508-py3.8.egg-info
    running install_scripts
    writing list of installed files to 'C:\Users\Redacted\AppData\Local\Temp\pip-record-ahow6y14\install-record.txt'
    Running setup.py install for pywikibot ... done
Successfully installed certifi-2020.6.20 chardet-3.0.4 idna-2.10 pywikibot-3.0.20200508 requests-2.24.0 urllib3-1.25.9
1 location(s) to search for versions of pip:
* https://pypi.org/simple/pip/
Fetching project page and analyzing links: https://pypi.org/simple/pip/
Getting page https://pypi.org/simple/pip/
Found index url https://pypi.org/simple
Getting credentials from keyring for https://pypi.org/simple
Getting credentials from keyring for pypi.org
Starting new HTTPS connection (1): pypi.org:443
https://pypi.org:443 "GET /simple/pip/ HTTP/1.1" 200 13603
  Found link https://files.pythonhosted.org/packages/3d/9d/1e313763bdfb6a48977b65829c6ce2a43eaae29ea2f907c8bbef024a7219/pip-0.2.tar.gz#sha256=88bb8d029e1bf4acd0e04d300104b7440086f94cc1ce1c5c3c31e3293aee1f81 (from https://pypi.org/simple/pip/), version: 0.2
...
  Found link https://files.pythonhosted.org/packages/ce/ea/9b445176a65ae4ba22dce1d93e4b5fe182f953df71a145f557cffaffc1bf/pip-19.3.1.tar.gz#sha256=21207d76c1031e517668898a6b46a9fb1501c7a4710ef5dfd6a40ad9e6757ea7 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 19.3.1
  Skipping link: yanked for reason: <none given>: https://files.pythonhosted.org/packages/60/65/16487a7c4e0f95bb3fc89c2e377be331fd496b7a9b08fd3077de7f3ae2cf/pip-20.0-py2.py3-none-any.whl#sha256=eea07b449d969dbc8c062c157852cf8ed2ad1b8b5ac965a6b819e62929e41703 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*)
  Skipping link: yanked for reason: <none given>: https://files.pythonhosted.org/packages/8c/5c/c18d58ab5c1a702bf670e0bd6a77cd4645e4aeca021c6118ef850895cc96/pip-20.0.tar.gz#sha256=5128e9a9401f1d16c1d15b2ed766a79d7813db1538428d0b0ce74838249e3a41 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*)
  Found link https://files.pythonhosted.org/packages/57/36/67f809c135c17ec9b8276466cc57f35b98c240f55c780689ea29fa32f512/pip-20.0.1-py2.py3-none-any.whl#sha256=b7110a319790ae17e8105ecd6fe07dbcc098a280c6d27b6dd7a20174927c24d7 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 20.0.1
...
  Found link https://files.pythonhosted.org/packages/77/3e/6a1fd8e08a06e3e0f54182c7c937bba3f4e9cf1b26f54946d3915021ea2e/pip-20.2b1.tar.gz#sha256=dbf65ecb1c30d35d72f5fda052fcd2f1ea9aca8eaf03d930846d990f51d3f6f6 (from https://pypi.org/simple/pip/) (requires-python:>=2.7,!=3.0.*,!=3.1.*,!=3.2.*,!=3.3.*,!=3.4.*), version: 20.2b1
Given no hashes to check 139 links for project 'pip': discarding no candidates
Removed build tracker: 'C:\\Users\\Redacted\\AppData\\Local\\Temp\\pip-req-tracker-_epc72mh'

C:\pwb\GIT\core>pip freeze
bleach==3.1.5
certifi==2020.6.20
chardet==3.0.4
colorama==0.4.1
docutils==0.16
flake8==3.8.3
flake8-plugin-utils==1.3.0
flake8-polyfill==1.0.2
flake8-return==1.1.1
future==0.18.2
idna==2.10
keyring==21.2.1
mando==0.6.4
mccabe==0.6.1
packaging==20.4
pkginfo==1.5.0.1
pycodestyle==2.6.0
pyflakes==2.2.0
Pygments==2.6.1
pyparsing==2.4.7
pywikibot==3.0.20200508
pywin32-ctypes==0.2.0
radon==4.1.0
readme-renderer==26.0
requests==2.24.0
requests-toolbelt==0.9.1
six==1.15.0
sseclient==0.0.26
tqdm==4.46.1
twine==3.1.1
urllib3==1.25.9
webencodings==0.5.1

C:\pwb\GIT\core>

You trial was obviously on Windows and not Ubuntu 18.04 LTS

Dvorapa added a comment.EditedJul 6 2020, 9:49 AM

Arch Linux: No issue with installation of 3.0.20200703

zhuyifei1999 closed this task as Invalid.Jul 6 2020, 9:51 AM

Cannot reproduce on Ubuntu 18.04 LTS docker image.

1zhuyifei1999@zhuyifei1999-ThinkPad-T480 ~ $ docker run --rm -it ubuntu:18.04
2Unable to find image 'ubuntu:18.04' locally
318.04: Pulling from library/ubuntu
4d7c3167c320d: Pull complete
5131f805ec7fd: Pull complete
6322ed380e680: Pull complete
76ac240b13098: Pull complete
8Digest: sha256:86510528ab9cd7b64209cbbe6946e094a6d10c6db21def64a93ebdd20011de1d
9Status: Downloaded newer image for ubuntu:18.04
10root@c30b863dcaab:/# python3 -m venv venv
11bash: python3: command not found
12root@c30b863dcaab:/# apt install -y python3-venv
13Reading package lists... Done
14Building dependency tree
15Reading state information... Done
16E: Unable to locate package python3-venv
17root@c30b863dcaab:/# apt update
18Get:1 http://archive.ubuntu.com/ubuntu bionic InRelease [242 kB]
19Get:2 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
20Get:3 http://security.ubuntu.com/ubuntu bionic-security/restricted amd64 Packages [87.8 kB]
21Get:4 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
22Get:5 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
23Get:6 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 Packages [866 kB]
24Get:7 http://archive.ubuntu.com/ubuntu bionic/restricted amd64 Packages [13.5 kB]
25Get:8 http://archive.ubuntu.com/ubuntu bionic/multiverse amd64 Packages [186 kB]
26Get:9 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages [1344 kB]
27Get:10 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages [993 kB]
28Get:11 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages [11.3 MB]
29Get:12 http://security.ubuntu.com/ubuntu bionic-security/multiverse amd64 Packages [9282 B]
30Get:13 http://archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 Packages [13.6 kB]
31Get:14 http://archive.ubuntu.com/ubuntu bionic-updates/restricted amd64 Packages [101 kB]
32Get:15 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages [1404 kB]
33Get:16 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages [1293 kB]
34Get:17 http://archive.ubuntu.com/ubuntu bionic-backports/universe amd64 Packages [8158 B]
35Get:18 http://archive.ubuntu.com/ubuntu bionic-backports/main amd64 Packages [8286 B]
36Fetched 18.2 MB in 3s (5335 kB/s)
37Reading package lists... Done
38Building dependency tree
39Reading state information... Done
402 packages can be upgraded. Run 'apt list --upgradable' to see them.
41root@c30b863dcaab:/# apt install -y python3-venv
42Reading package lists... Done
43Building dependency tree
44Reading state information... Done
45The following additional packages will be installed:
46 ca-certificates file libexpat1 libmagic-mgc libmagic1 libmpdec2 libpython3-stdlib libpython3.6-minimal libpython3.6-stdlib libreadline7 libsqlite3-0 libssl1.1 mime-support openssl
47 python-pip-whl python3 python3-distutils python3-lib2to3 python3-minimal python3.6 python3.6-minimal python3.6-venv readline-common xz-utils
48Suggested packages:
49 python3-doc python3-tk python3.6-doc binutils binfmt-support readline-doc
50The following NEW packages will be installed:
51 ca-certificates file libexpat1 libmagic-mgc libmagic1 libmpdec2 libpython3-stdlib libpython3.6-minimal libpython3.6-stdlib libreadline7 libsqlite3-0 libssl1.1 mime-support openssl
52 python-pip-whl python3 python3-distutils python3-lib2to3 python3-minimal python3-venv python3.6 python3.6-minimal python3.6-venv readline-common xz-utils
530 upgraded, 25 newly installed, 0 to remove and 2 not upgraded.
54Need to get 9304 kB of archives.
55After this operation, 40.7 MB of additional disk space will be used.
56Get:1 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libssl1.1 amd64 1.1.1-1ubuntu2.1~18.04.6 [1301 kB]
57Get:2 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpython3.6-minimal amd64 3.6.9-1~18.04ubuntu1 [533 kB]
58Get:3 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libexpat1 amd64 2.2.5-3ubuntu0.2 [80.5 kB]
59Get:4 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3.6-minimal amd64 3.6.9-1~18.04ubuntu1 [1609 kB]
60Get:5 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-minimal amd64 3.6.7-1~18.04 [23.7 kB]
61Get:6 http://archive.ubuntu.com/ubuntu bionic/main amd64 mime-support all 3.60ubuntu1 [30.1 kB]
62Get:7 http://archive.ubuntu.com/ubuntu bionic/main amd64 libmpdec2 amd64 2.4.2-1ubuntu1 [84.1 kB]
63Get:8 http://archive.ubuntu.com/ubuntu bionic/main amd64 readline-common all 7.0-3 [52.9 kB]
64Get:9 http://archive.ubuntu.com/ubuntu bionic/main amd64 libreadline7 amd64 7.0-3 [124 kB]
65Get:10 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libsqlite3-0 amd64 3.22.0-1ubuntu0.4 [499 kB]
66Get:11 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpython3.6-stdlib amd64 3.6.9-1~18.04ubuntu1 [1710 kB]
67Get:12 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3.6 amd64 3.6.9-1~18.04ubuntu1 [203 kB]
68Get:13 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libpython3-stdlib amd64 3.6.7-1~18.04 [7240 B]
69Get:14 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3 amd64 3.6.7-1~18.04 [47.2 kB]
70Get:15 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 openssl amd64 1.1.1-1ubuntu2.1~18.04.6 [614 kB]
71Get:16 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 ca-certificates all 20190110~18.04.1 [146 kB]
72Get:17 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libmagic-mgc amd64 1:5.32-2ubuntu0.4 [184 kB]
73Get:18 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libmagic1 amd64 1:5.32-2ubuntu0.4 [68.6 kB]
74Get:19 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 file amd64 1:5.32-2ubuntu0.4 [22.1 kB]
75Get:20 http://archive.ubuntu.com/ubuntu bionic/main amd64 xz-utils amd64 5.2.2-1.3 [83.8 kB]
76Get:21 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 python-pip-whl all 9.0.1-2.3~ubuntu1.18.04.1 [1653 kB]
77Get:22 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-lib2to3 all 3.6.9-1~18.04 [77.4 kB]
78Get:23 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-distutils all 3.6.9-1~18.04 [144 kB]
79Get:24 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 python3.6-venv amd64 3.6.9-1~18.04ubuntu1 [6188 B]
80Get:25 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 python3-venv amd64 3.6.7-1~18.04 [1208 B]
81Fetched 9304 kB in 2s (6091 kB/s)
82debconf: delaying package configuration, since apt-utils is not installed
83Selecting previously unselected package libssl1.1:amd64.
84(Reading database ... 4046 files and directories currently installed.)
85Preparing to unpack .../libssl1.1_1.1.1-1ubuntu2.1~18.04.6_amd64.deb ...
86Unpacking libssl1.1:amd64 (1.1.1-1ubuntu2.1~18.04.6) ...
87Selecting previously unselected package libpython3.6-minimal:amd64.
88Preparing to unpack .../libpython3.6-minimal_3.6.9-1~18.04ubuntu1_amd64.deb ...
89Unpacking libpython3.6-minimal:amd64 (3.6.9-1~18.04ubuntu1) ...
90Selecting previously unselected package libexpat1:amd64.
91Preparing to unpack .../libexpat1_2.2.5-3ubuntu0.2_amd64.deb ...
92Unpacking libexpat1:amd64 (2.2.5-3ubuntu0.2) ...
93Selecting previously unselected package python3.6-minimal.
94Preparing to unpack .../python3.6-minimal_3.6.9-1~18.04ubuntu1_amd64.deb ...
95Unpacking python3.6-minimal (3.6.9-1~18.04ubuntu1) ...
96Setting up libssl1.1:amd64 (1.1.1-1ubuntu2.1~18.04.6) ...
97debconf: unable to initialize frontend: Dialog
98debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76.)
99debconf: falling back to frontend: Readline
100debconf: unable to initialize frontend: Readline
101debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.26.1 /usr/local/shar
102e/perl/5.26.1 /usr/lib/x86_64-linux-gnu/perl5/5.26 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.26 /usr/share/perl/5.26 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base
103) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
104debconf: falling back to frontend: Teletype
105Setting up libpython3.6-minimal:amd64 (3.6.9-1~18.04ubuntu1) ...
106Setting up libexpat1:amd64 (2.2.5-3ubuntu0.2) ...
107Setting up python3.6-minimal (3.6.9-1~18.04ubuntu1) ...
108Selecting previously unselected package python3-minimal.
109(Reading database ... 4303 files and directories currently installed.)
110Preparing to unpack .../0-python3-minimal_3.6.7-1~18.04_amd64.deb ...
111Unpacking python3-minimal (3.6.7-1~18.04) ...
112Selecting previously unselected package mime-support.
113Preparing to unpack .../1-mime-support_3.60ubuntu1_all.deb ...
114Unpacking mime-support (3.60ubuntu1) ...
115Selecting previously unselected package libmpdec2:amd64.
116Preparing to unpack .../2-libmpdec2_2.4.2-1ubuntu1_amd64.deb ...
117Unpacking libmpdec2:amd64 (2.4.2-1ubuntu1) ...
118Selecting previously unselected package readline-common.
119Preparing to unpack .../3-readline-common_7.0-3_all.deb ...
120Unpacking readline-common (7.0-3) ...
121Selecting previously unselected package libreadline7:amd64.
122Preparing to unpack .../4-libreadline7_7.0-3_amd64.deb ...
123Unpacking libreadline7:amd64 (7.0-3) ...
124Selecting previously unselected package libsqlite3-0:amd64.
125Preparing to unpack .../5-libsqlite3-0_3.22.0-1ubuntu0.4_amd64.deb ...
126Unpacking libsqlite3-0:amd64 (3.22.0-1ubuntu0.4) ...
127Selecting previously unselected package libpython3.6-stdlib:amd64.
128Preparing to unpack .../6-libpython3.6-stdlib_3.6.9-1~18.04ubuntu1_amd64.deb ...
129Unpacking libpython3.6-stdlib:amd64 (3.6.9-1~18.04ubuntu1) ...
130Selecting previously unselected package python3.6.
131Preparing to unpack .../7-python3.6_3.6.9-1~18.04ubuntu1_amd64.deb ...
132Unpacking python3.6 (3.6.9-1~18.04ubuntu1) ...
133Selecting previously unselected package libpython3-stdlib:amd64.
134Preparing to unpack .../8-libpython3-stdlib_3.6.7-1~18.04_amd64.deb ...
135Unpacking libpython3-stdlib:amd64 (3.6.7-1~18.04) ...
136Setting up python3-minimal (3.6.7-1~18.04) ...
137Selecting previously unselected package python3.
138(Reading database ... 4761 files and directories currently installed.)
139Preparing to unpack .../00-python3_3.6.7-1~18.04_amd64.deb ...
140Unpacking python3 (3.6.7-1~18.04) ...
141Selecting previously unselected package openssl.
142Preparing to unpack .../01-openssl_1.1.1-1ubuntu2.1~18.04.6_amd64.deb ...
143Unpacking openssl (1.1.1-1ubuntu2.1~18.04.6) ...
144Selecting previously unselected package ca-certificates.
145Preparing to unpack .../02-ca-certificates_20190110~18.04.1_all.deb ...
146Unpacking ca-certificates (20190110~18.04.1) ...
147Selecting previously unselected package libmagic-mgc.
148Preparing to unpack .../03-libmagic-mgc_1%3a5.32-2ubuntu0.4_amd64.deb ...
149Unpacking libmagic-mgc (1:5.32-2ubuntu0.4) ...
150Selecting previously unselected package libmagic1:amd64.
151Preparing to unpack .../04-libmagic1_1%3a5.32-2ubuntu0.4_amd64.deb ...
152Unpacking libmagic1:amd64 (1:5.32-2ubuntu0.4) ...
153Selecting previously unselected package file.
154Preparing to unpack .../05-file_1%3a5.32-2ubuntu0.4_amd64.deb ...
155Unpacking file (1:5.32-2ubuntu0.4) ...
156Selecting previously unselected package xz-utils.
157Preparing to unpack .../06-xz-utils_5.2.2-1.3_amd64.deb ...
158Unpacking xz-utils (5.2.2-1.3) ...
159Selecting previously unselected package python-pip-whl.
160Preparing to unpack .../07-python-pip-whl_9.0.1-2.3~ubuntu1.18.04.1_all.deb ...
161Unpacking python-pip-whl (9.0.1-2.3~ubuntu1.18.04.1) ...
162Selecting previously unselected package python3-lib2to3.
163Preparing to unpack .../08-python3-lib2to3_3.6.9-1~18.04_all.deb ...
164Unpacking python3-lib2to3 (3.6.9-1~18.04) ...
165Selecting previously unselected package python3-distutils.
166Preparing to unpack .../09-python3-distutils_3.6.9-1~18.04_all.deb ...
167Unpacking python3-distutils (3.6.9-1~18.04) ...
168Selecting previously unselected package python3.6-venv.
169Preparing to unpack .../10-python3.6-venv_3.6.9-1~18.04ubuntu1_amd64.deb ...
170Unpacking python3.6-venv (3.6.9-1~18.04ubuntu1) ...
171Selecting previously unselected package python3-venv.
172Preparing to unpack .../11-python3-venv_3.6.7-1~18.04_amd64.deb ...
173Unpacking python3-venv (3.6.7-1~18.04) ...
174Setting up readline-common (7.0-3) ...
175Setting up mime-support (3.60ubuntu1) ...
176Setting up libreadline7:amd64 (7.0-3) ...
177Setting up libmagic-mgc (1:5.32-2ubuntu0.4) ...
178Setting up libmagic1:amd64 (1:5.32-2ubuntu0.4) ...
179Setting up xz-utils (5.2.2-1.3) ...
180update-alternatives: using /usr/bin/xz to provide /usr/bin/lzma (lzma) in auto mode
181update-alternatives: warning: skip creation of /usr/share/man/man1/lzma.1.gz because associated file /usr/share/man/man1/xz.1.gz (of link group lzma) doesn't exist
182update-alternatives: warning: skip creation of /usr/share/man/man1/unlzma.1.gz because associated file /usr/share/man/man1/unxz.1.gz (of link group lzma) doesn't exist
183update-alternatives: warning: skip creation of /usr/share/man/man1/lzcat.1.gz because associated file /usr/share/man/man1/xzcat.1.gz (of link group lzma) doesn't exist
184update-alternatives: warning: skip creation of /usr/share/man/man1/lzmore.1.gz because associated file /usr/share/man/man1/xzmore.1.gz (of link group lzma) doesn't exist
185update-alternatives: warning: skip creation of /usr/share/man/man1/lzless.1.gz because associated file /usr/share/man/man1/xzless.1.gz (of link group lzma) doesn't exist
186update-alternatives: warning: skip creation of /usr/share/man/man1/lzdiff.1.gz because associated file /usr/share/man/man1/xzdiff.1.gz (of link group lzma) doesn't exist
187update-alternatives: warning: skip creation of /usr/share/man/man1/lzcmp.1.gz because associated file /usr/share/man/man1/xzcmp.1.gz (of link group lzma) doesn't exist
188update-alternatives: warning: skip creation of /usr/share/man/man1/lzgrep.1.gz because associated file /usr/share/man/man1/xzgrep.1.gz (of link group lzma) doesn't exist
189update-alternatives: warning: skip creation of /usr/share/man/man1/lzegrep.1.gz because associated file /usr/share/man/man1/xzegrep.1.gz (of link group lzma) doesn't exist
190update-alternatives: warning: skip creation of /usr/share/man/man1/lzfgrep.1.gz because associated file /usr/share/man/man1/xzfgrep.1.gz (of link group lzma) doesn't exist
191Setting up openssl (1.1.1-1ubuntu2.1~18.04.6) ...
192Setting up libsqlite3-0:amd64 (3.22.0-1ubuntu0.4) ...
193Setting up ca-certificates (20190110~18.04.1) ...
194debconf: unable to initialize frontend: Dialog
195debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76.)
196debconf: falling back to frontend: Readline
197debconf: unable to initialize frontend: Readline
198debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.26.1 /usr/local/shar
199e/perl/5.26.1 /usr/lib/x86_64-linux-gnu/perl5/5.26 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.26 /usr/share/perl/5.26 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base
200) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
201debconf: falling back to frontend: Teletype
202Updating certificates in /etc/ssl/certs...
203127 added, 0 removed; done.
204Setting up libmpdec2:amd64 (2.4.2-1ubuntu1) ...
205Setting up python-pip-whl (9.0.1-2.3~ubuntu1.18.04.1) ...
206Setting up libpython3.6-stdlib:amd64 (3.6.9-1~18.04ubuntu1) ...
207Setting up python3.6 (3.6.9-1~18.04ubuntu1) ...
208Setting up python3.6-venv (3.6.9-1~18.04ubuntu1) ...
209Setting up file (1:5.32-2ubuntu0.4) ...
210Setting up libpython3-stdlib:amd64 (3.6.7-1~18.04) ...
211Setting up python3 (3.6.7-1~18.04) ...
212running python rtupdate hooks for python3.6...
213running python post-rtupdate hooks for python3.6...
214Setting up python3-lib2to3 (3.6.9-1~18.04) ...
215Setting up python3-distutils (3.6.9-1~18.04) ...
216Setting up python3-venv (3.6.7-1~18.04) ...
217Processing triggers for libc-bin (2.27-3ubuntu1) ...
218Processing triggers for ca-certificates (20190110~18.04.1) ...
219Updating certificates in /etc/ssl/certs...
2200 added, 0 removed; done.
221Running hooks in /etc/ca-certificates/update.d...
222done.
223root@c30b863dcaab:/# python3 -m venv venv
224root@c30b863dcaab:/# . venv/bin/activate
225(venv) root@c30b863dcaab:/# pip3 install --no-cache-dir -I pywikibot==3.0.20200508
226Collecting pywikibot==3.0.20200508
227 Downloading https://files.pythonhosted.org/packages/42/3d/ecfce167ec6b29726d043ec324daf29e48b094c37319a7b193bbd9e40610/pywikibot-3.0.20200508.tar.gz (516kB)
228 100% |################################| 522kB 11.8MB/s
229 Complete output from command python setup.py egg_info:
230 [Errno 2] No such file or directory: 'git': 'git'
231 Cannot include pywikibot/DIRECTORIES.rst; file not found
232 Cannot include ROADMAP.rst; file not found
233 Cannot include CODE_OF_CONDUCT.rst; file not found
234 Traceback (most recent call last):
235 File "<string>", line 1, in <module>
236 File "/tmp/pip-build-8gqfm8ds/pywikibot/setup.py", line 271, in <module>
237 main()
238 File "/tmp/pip-build-8gqfm8ds/pywikibot/setup.py", line 237, in main
239 packages=get_packages(name),
240 File "/tmp/pip-build-8gqfm8ds/pywikibot/setup.py", line 218, in get_packages
241 from setuptools import find_namespace_packages
242 ImportError: cannot import name 'find_namespace_packages'
243
244 ----------------------------------------
245Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-8gqfm8ds/pywikibot/
246(venv) root@c30b863dcaab:/# pip install -U setuptools
247Collecting setuptools
248 Downloading https://files.pythonhosted.org/packages/41/fa/60888a1d591db07bc9c17dce2bcfb9f00ac507c0a23ecb827e76feb8f816/setuptools-49.1.0-py3-none-any.whl (789kB)
249 100% |################################| 798kB 1.5MB/s
250Installing collected packages: setuptools
251 Found existing installation: setuptools 39.0.1
252 Uninstalling setuptools-39.0.1:
253 Successfully uninstalled setuptools-39.0.1
254Successfully installed setuptools-49.1.0
255(venv) root@c30b863dcaab:/# pip3 install --no-cache-dir -I pywikibot==3.0.20200508
256Collecting pywikibot==3.0.20200508
257 Downloading https://files.pythonhosted.org/packages/42/3d/ecfce167ec6b29726d043ec324daf29e48b094c37319a7b193bbd9e40610/pywikibot-3.0.20200508.tar.gz (516kB)
258 100% |################################| 522kB 6.8MB/s
259Collecting requests>=2.20.1 (from pywikibot==3.0.20200508)
260 Downloading https://files.pythonhosted.org/packages/45/1e/0c169c6a5381e241ba7404532c16a21d86ab872c9bed8bdcd4c423954103/requests-2.24.0-py2.py3-none-any.whl (61kB)
261 100% |################################| 71kB 19.2MB/s
262Collecting chardet<4,>=3.0.2 (from requests>=2.20.1->pywikibot==3.0.20200508)
263 Downloading https://files.pythonhosted.org/packages/bc/a9/01ffebfb562e4274b6487b4bb1ddec7ca55ec7510b22e4c51f14098443b8/chardet-3.0.4-py2.py3-none-any.whl (133kB)
264 100% |################################| 143kB 7.7MB/s
265Collecting certifi>=2017.4.17 (from requests>=2.20.1->pywikibot==3.0.20200508)
266 Downloading https://files.pythonhosted.org/packages/5e/c4/6c4fe722df5343c33226f0b4e0bb042e4dc13483228b4718baf286f86d87/certifi-2020.6.20-py2.py3-none-any.whl (156kB)
267 100% |################################| 163kB 8.6MB/s
268Collecting idna<3,>=2.5 (from requests>=2.20.1->pywikibot==3.0.20200508)
269 Downloading https://files.pythonhosted.org/packages/a2/38/928ddce2273eaa564f6f50de919327bf3a00f091b5baba8dfa9460f3a8a8/idna-2.10-py2.py3-none-any.whl (58kB)
270 100% |################################| 61kB 44.8MB/s
271Collecting urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 (from requests>=2.20.1->pywikibot==3.0.20200508)
272 Downloading https://files.pythonhosted.org/packages/e1/e5/df302e8017440f111c11cc41a6b432838672f5a70aa29227bf58149dc72f/urllib3-1.25.9-py2.py3-none-any.whl (126kB)
273 100% |################################| 133kB 7.3MB/s
274Installing collected packages: chardet, certifi, idna, urllib3, requests, pywikibot
275 Running setup.py install for pywikibot ... done
276Successfully installed certifi-2020.6.20 chardet-3.0.4 idna-2.10 pywikibot-3.0.20200508 requests-2.24.0 urllib3-1.25.9
277(venv) root@c30b863dcaab:/# cat /etc/os-release
278NAME="Ubuntu"
279VERSION="18.04.4 LTS (Bionic Beaver)"
280ID=ubuntu
281ID_LIKE=debian
282PRETTY_NAME="Ubuntu 18.04.4 LTS"
283VERSION_ID="18.04"
284HOME_URL="https://www.ubuntu.com/"
285SUPPORT_URL="https://help.ubuntu.com/"
286BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/"
287PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies/privacy-policy"
288VERSION_CODENAME=bionic
289UBUNTU_CODENAME=bionic
290(venv) root@c30b863dcaab:/#

Closing. Reopen only if you are able to provide a steps for reproducing, or, a dockerfile or docker image, or your disk image that we can run in a VM, that would exhibit the described behavior.

JJMC89 added a comment.Jul 6 2020, 3:16 PM

I've seen this fatal in multiple repositories installing pywikibot 3.0.20200703 via PyPI with Python 3.5-3.10a on xenial (Travis CI)

{P11754}

Xqt added a comment.Jul 6 2020, 3:53 PM

You trial was obviously on Windows and not Ubuntu 18.04 LTS

Obviously yes but I got the same response as you mentioned above. In result that snippet does not describe any failure and is insufficient for further investigation. Therefore I asked for a complete trackback. Verbose option would be helpful. See also the other comments above.

I've seen this fatal in multiple repositories installing pywikibot 3.0.20200703 via PyPI with Python 3.5-3.10a on xenial (Travis CI)

{P11754}

403

JJMC89 added a comment.Jul 6 2020, 7:36 PM

403

The paste? If so, you should be able to access it now.

The paste? If so, you should be able to access it now.

What is the repository and the travis.yml? Again, insufficient information has been given to reproduce the issue.

Also, see above,

I installed pywikibot with -v verbose and got the same fatal error but pywikibot was installed anyway:

Are you sure in your output it did not install?

What is the repository and the travis.yml? Again, insufficient information has been given to reproduce the issue.

The paste is from https://travis-ci.org/github/JJMC89/bsiconsbot/jobs/705270542/config.

Change 609868 had a related patch set uploaded (by Zhuyifei1999; owner: Zhuyifei1999):
[pywikibot/core@master] setup.py: Hide irrelevant messages in get_version

https://gerrit.wikimedia.org/r/609868

Xqt added a comment.Jul 7 2020, 2:57 AM

Also, see above,

I installed pywikibot with -v verbose and got the same fatal error but pywikibot was installed anyway:

Are you sure in your output it did not install?

Installation was done as I said

Installation was done as I said

That was responding to @JJMC89 quoting your message. Sorry if unclear.

Please reopen this issue - marking it invalid since it's not reproducible in the Wikimedia Universe is not helpful for those having the problem in their own environment .

Change 409823 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [IMPR] Use one central point for framework version

https://gerrit.wikimedia.org/r/409823

Change 609868 abandoned by Zhuyifei1999:
[pywikibot/core@master] setup.py: Hide irrelevant messages in get_version

Reason:
Superseded by https://gerrit.wikimedia.org/r/c/pywikibot/core/ /409823 with a much better approach.

https://gerrit.wikimedia.org/r/609868

Please reopen this issue - marking it invalid since it's not reproducible in the Wikimedia Universe is not helpful for those having the problem in their own environment .

See below:

In result that snippet does not describe any failure and is insufficient for further investigation. Therefore I asked for a complete trackback. Verbose option would be helpful. See also the other comments above.

Reopen only if you are able to provide a steps for reproducing, or, a dockerfile or docker image, or your disk image that we can run in a VM, that would exhibit the described behavior.

https://www.chiark.greenend.org.uk/~sgtatham/bugs.html#showmehow

If you have your environment, you may tell us exactly how your environment is set up so we may replicate your problem. Your description of "Ubuntu 18.04 LTS" has been insufficient to reproduce the problem, as shown in my raw paste above.

Change 409823 merged by jenkins-bot:
[pywikibot/core@master] [IMPR] Use one central point for framework version

https://gerrit.wikimedia.org/r/409823

JJMC89 added a comment.Jul 7 2020, 6:42 AM

Yes, I know that It does install in my case, but it looks like the version doesn't match. (From my paste: 3.0.dev0 instead of 3.0.20200703.)

creating /home/travis/virtualenv/python3.8.0/lib/python3.8/site-packages/pywikibot-3.0.dev0-py3.8.egg
Extracting pywikibot-3.0.dev0-py3.8.egg to /home/travis/virtualenv/python3.8.0/lib/python3.8/site-packages
Adding pywikibot 3.0.dev0 to easy-install.pth file

Installed /home/travis/virtualenv/python3.8.0/lib/python3.8/site-packages/pywikibot-3.0.dev0-py3.8.egg

This doesn't happen in all environments based on T171886#6279580.

Hopefully rPWBCe785b61dc750 fixes this though.